tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: The pkgsrc-2008Q3 Branch

On Tue, Oct 21, 2008 at 10:35:10PM +0300, Aleksey Cheusov wrote:
> > On Mon, Oct 20, 2008 at 07:53:15PM +0300, Aleksey Cheusov wrote:
>  >> > These are all perl packages.  I suspect I may be at least partly
>  >> > to blame.
>  >> Until this problem is solved, uploading perl module binaries to
>  >> ftp:// seems useless to me.
> > Why ?
> Because package downgrades break 'pkg_add -u' and others?
> FYI: Obviously, I meant only packages (perl modules) having version lower
> than those from 2008Q2.

Ha, you're not using the binaries the same way as I do then.
When I upgrade a package I upgrade all dependancies too, by
pkg-delete -rR/pkg_add. In this case the version regression is not
so much of an issue.
Obviously it's also usefull for a from-scratch install.

Manuel Bouyer <>
     NetBSD: 26 ans d'experience feront toujours la difference

Home | Main Index | Thread Index | Old Index